package com.fastest.pass.forgotpassword.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.forgotpassword.utils.ForgotPasswordRoute
import com.fastest.pass.login.utils.LoginRoute
import kotlinx.coroutines.flow.MutableStateFlow

class ForgotPasswordViewmodel : ViewModel() {

    private val _router = MutableStateFlow<ForgotPasswordRoute>(ForgotPasswordRoute.OpenNoneScreen)
    val router: MutableStateFlow<ForgotPasswordRoute> = _router

    fun navigateTo(forgotPasswordRoute: ForgotPasswordRoute) {
        _router.value = forgotPasswordRoute
    }
}